Subject: Re: need help with chroot with cygwin
From: Christian Weinberger <[email-masked]>
To: [email-masked]
Cc: João Carmona <[email-masked]>
Date: Thu, 24 Feb 2005 10:08:26 +0100

João

Please post to the list exclusively, so others may assist as well.
I don´t have enought time and resources to answer all personal email.

See my comments below.

Regards,
Christian

João Carmona schrieb:

> Hi there, sorry to disturbe you.
>
> I retrieve your mail from a mailing list on the web. It seems that you 
> have achieved to compile scponly with cygwin. Can You help me?
>
> I trying to compile, but i'm stop on "make".
>
> $ make
> gcc -g -O2 -I. -I. -DHAVE_CONFIG_H 
> -DDEBUGFILE='"/usr/local/etc/scponly/debuglevel"' -o scponly.o -c 
> scponly.c
> gcc -g -O2 -I. -I. -DHAVE_CONFIG_H 
> -DDEBUGFILE='"/usr/local/etc/scponly/debuglevel"' -o helper.o -c helper.c
> helper.c:12:36: libgen.h: No such file or directory
> helper.c: In function `substitute_known_path':
> helper.c:175: warning: passing arg 1 of `strdup' makes pointer from 
> integer without a cast
> helper.c:180: warning: passing arg 1 of `strcmp' makes pointer from 
> integer without a cast
> make: *** [helper.o] Error 1
> $
>
> Have you any idea?
>
> I make the following changes in this file as you suggested:
>
> usr/src/scponly-3.11:{509}:$ diff scponly.c scponly.c.bak
> 331c331
> <       char bad_winscp3str[] = "test -x /usr/sbin/sftp-server && exec
> /usr/sbin/sftp-server test -x /usr/local/lib/sftp-server && exec
> /usr/local/lib/sftp-server exec sftp-server";
> ---
>
>>       char bad_winscp3str[] = "test -x /usr/lib/sftp-server && exec
>
> /usr/lib/sftp-server test -x /usr/local/lib/sftp-server && exec
> /usr/local/lib/sftp-server exec sftp-server";
>
>
> But i don't understand the next step:
>
> /usr/src/scponly-3.11:{510}:$ diff helper.c helper.c.bak
> 27a28,29
>
>> #define basename g_basename
>>
>
Simply remove (or comment) the #define

> additionally comment this:
> /usr/src/scponly-3.11:{513}:$ grep "libgen.h" *.c
> helper.c:// #include <libgen.h> // basename
>
Simply remove (or comment) the #include

>
> Can be more explicit?
>
>
> thank you
>
> João Carmona
>
>
>
>
>
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/